Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.db
Enum OdfBooleanComparisonModeType

    java.lang.Object
      java.lang.Enum<OdfBooleanComparisonModeType>
          org.odftoolkit.odfdom.dom.type.db.OdfBooleanComparisonModeType

All Implemented Interfaces:
  Serializable, Comparable<OdfBooleanComparisonModeType>

    public enum OdfBooleanComparisonModeType

extends Enum<OdfBooleanComparisonModeType>

DOM implementation of OpenDocument attribute db:boolean-comparison-mode.

Enum Constant Summary
`EQUAL_BOOLEAN`
`EQUAL_INTEGER`
`EQUAL_USE_ONLY_ZERO`
`IS_BOOLEAN`

Method Summary
`static OdfBooleanComparisonModeType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfBooleanComparisonModeType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfBooleanComparisonModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfBooleanComparisonModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQUAL_USE_ONLY_ZERO

    public static final OdfBooleanComparisonModeType EQUAL_USE_ONLY_ZERO

### EQUAL_BOOLEAN

    public static final OdfBooleanComparisonModeType EQUAL_BOOLEAN

### EQUAL_INTEGER

    public static final OdfBooleanComparisonModeType EQUAL_INTEGER

### IS_BOOLEAN

    public static final OdfBooleanComparisonModeType IS_BOOLEAN

Method Detail

### values

    public static OdfBooleanComparisonModeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfBooleanComparisonModeType c : OdfBooleanComparisonModeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfBooleanComparisonModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfBooleanComparisonModeType>`
  Returns:
    return the name of OdfBooleanComparisonModeType

### toString

    public static String toString(OdfBooleanComparisonModeType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfBooleanComparisonModeType, see db:boolean-comparison-mode
  Returns:
    return the name of OdfBooleanComparisonModeType

### enumValueOf

    public static OdfBooleanComparisonModeType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfBooleanComparisonModeType
  Returns:
    return the constant of OdfBooleanComparisonModeType, see db:boolean-comparison-mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.